From a8cf52095b84fef89b209a7715fa578cf1b2d742 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 13 Jun 2025 08:27:36 +0300
Subject: [PATCH 37/37] CI: Rename 'normal' job as 'autotools'

See RM #1499

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 .github/workflows/ci.yml | 4 ++--
 scripts/ci-build.sh      | 7 ++++++-
 2 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index fd461046dd..c989bc6a57 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -73,7 +73,7 @@ jobs:
       - name: build
         shell: bash
         run: ./scripts/ci-build.sh mac-meson
-  normal:
+  autotools:
     runs-on: ubuntu-24.04
     steps:
       - name: check out Freeciv
@@ -104,7 +104,7 @@ jobs:
             unixodbc-dev
       - name: build
         shell: bash
-        run: ./scripts/ci-build.sh normal
+        run: ./scripts/ci-build.sh autotools
   dist:
     runs-on: ubuntu-24.04
     steps:
diff --git a/scripts/ci-build.sh b/scripts/ci-build.sh
index 5704a566a8..93817840d0 100755
--- a/scripts/ci-build.sh
+++ b/scripts/ci-build.sh
@@ -180,7 +180,7 @@ cd build
 echo "Freeciv build successful!"
 ;;
 
-*)
+autotools)
 # Fetch S3_1 in the background for the ruleset upgrade test
 git fetch --no-tags --quiet https://github.com/freeciv/freeciv.git S3_1:S3_1 &
 
@@ -231,4 +231,9 @@ cd ${HOME}/freeciv/default/bin/
 
 echo "Freeciv server autogame successful!"
 ;;
+
+*)
+echo "Unknown ci-job \"$1\"" >&2
+exit 1
+;;
 esac
-- 
2.47.2

